Skip to main content
GET
/
driveImport
/
v1
/
imports
cURL
curl --request GET \
  --url https://aodocs.altirnao.com/api/driveImport/v1/imports \
  --header 'Authorization: Bearer <token>'
{
  "cursor": "<string>",
  "imports": [
    {
      "destinationFolderId": "<string>",
      "destinationFolderName": "<string>",
      "error": 123,
      "id": "<string>",
      "importer": {
        "email": "<string>",
        "kind": "<string>",
        "name": "<string>",
        "nonGoogle": true,
        "thumbnailPictureUrl": "<string>"
      },
      "kind": "<string>",
      "lastModifiedAt": 123,
      "libraryId": "<string>",
      "libraryName": "<string>",
      "startedAt": 123,
      "status": "<string>",
      "success": 123,
      "toImport": 123
    }
  ],
  "kind": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://api.aodocs.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

limit
integer<int32>
default:20

The maximum number of import job per page. (Default: 20)

modifiedAfter
integer<int64>

The timestamp (milliseconds) from which an import was last modified (to filter the list).

cursor
string

The token for continuing a previous list request on the next page. This should be set to the value of 'cursor' from the previous response.

securityCode
string

The security code

domain
string

The G Suite domain

Response

200 - application/json

A ApiImportList response

cursor
string
imports
object[]
kind
string